/*
 * Circle.h
 *
 *  Created on: 7-mag-2009
 *      Author: docente
 */

#ifndef CIRCLE_H_
#define CIRCLE_H_

#include "Shape.h"

class Circle: public Shape {
public:
	Circle(int r=1) : radius(r) {};
	virtual ~Circle() {};

    virtual void draw();
    virtual void resize(float newSize);

	int getRadius() const {
		return radius;
	}
	void setRadius(int radius) {
		this->radius = radius;
	}

private:
	int radius;
};

#endif /* CIRCLE_H_ */
