/*
 * Rectangle.h
 *
 *  Created on: 18-mag-2010
 *      Author: docente
 */

#ifndef RECTANGLE_H_
#define RECTANGLE_H_

#include "Shape.h"

class Rectangle : public Shape {
public:
	Rectangle(int w=1, int h=1) : width(w), height(h) {};
	virtual ~Rectangle() {};

	virtual void draw();
	virtual void resize(float newSize);

    int getHeight() const {
        return height;
    }
    void setHeight(int height) {
        this->height = height;
    }
    void setWidth(int width) {
    	this->width = width;
    }
    int getWidth() const {
    	return width;
    }

private:
	int width, height;
};

#endif /* RECTANGLE_H_ */
