/*
 * Text.h
 *
 *  Created on: 18-mag-2010
 *      Author: docente
 */

#ifndef TEXT_H_
#define TEXT_H_

#include <string>

using namespace std;

class Text {
public:
	Text(string msg="", int tsize=0) : text(msg), fontSize(tsize) {};
	virtual ~Text() {};

	virtual void print();
	virtual void resize(int fontSize);

	virtual int getFontSize() const {
		return fontSize;
	}
	virtual string getText() const {
		return text;
	}
	virtual void setFontSize(int fontSize) {
		this->fontSize = fontSize;
	}
	virtual void setText(string text) {
		this->text = text;
	}

protected:
	string text;
	int fontSize;
};

#endif /* TEXT_H_ */
